package stockMarketApplet.market;

import stockMarketApplet.market.io.*;

public class FundamentalProcess {

  private double initialValue;
  private double mean;
  private double standardDeviation;

  public FundamentalProcess(FundamentalParametersRecord fundParamRec) {
    this.initialValue = fundParamRec.getInitialValue();
    this.mean = fundParamRec.getMean();
    this.standardDeviation = fundParamRec.getStandardDeviation();
  }

  public double getInitialValue(){
    return this.initialValue;
  }
  public double getMean(){
    return this.mean;
  }
  public double getStandardDeviation(){
    return this.standardDeviation;
  }
  public void setInitialValue(double initialValue){
    this.initialValue = initialValue;
  }
  public void setMean(double mean){
    this.mean = mean;
  }
  public void setStandardDeviation(double standardDeviation){
    this.standardDeviation = standardDeviation;
  }

}