package stockMarketApplet.market.io;

import java.io.*;

public class InputFunctionsLogic {
  private  FileInputStream fileName;
  private  FunctionsRecord[] functsRec;
  private  FunctionsRecord functRec;

  public InputFunctionsLogic() {
  }
  public FunctionsRecord[] readGroupsFunctions(int numberGroupsTraders){
    functsRec = new FunctionsRecord[numberGroupsTraders];
    String fileNameStringCommon = "parameters/LogicalFunctions";
    String fileNameString;
    String[] temp;
    for (int i = 0; i  < numberGroupsTraders ;i++){
      fileNameString = fileNameStringCommon + i + ".txt";
      try{
            fileName = new FileInputStream(fileNameString);
      } catch(FileNotFoundException e) {
            System.out.print("File Not Found");
      }
      temp = new String[getNumberFunctions()];
      try{
            fileName = new FileInputStream(fileNameString);
      } catch(FileNotFoundException e) {
            System.out.print("File Not Found");
      }
      for (int j = 0; j < temp.length ; j++){
        temp[j] = readLine();
      }
      functsRec[i] = new FunctionsRecord();
      functsRec[i].setFunctsNames(temp);
      try
      {
      fileName.close();
      } catch (IOException e){
        System.out.print("Can not close the file");
      }

    }
    return functsRec;
  }
  public FunctionsRecord readFunctions(int groupNum){
    functRec = new FunctionsRecord();
    String fileNameString = "parameters/LogicalFunctions"+groupNum+".txt";
    String[] temp;
      try{
            fileName = new FileInputStream(fileNameString);
      } catch(FileNotFoundException e) {
            System.out.print("File Not Found");
      }
      temp = new String[getNumberFunctions()];
      try{
            fileName = new FileInputStream(fileNameString);
      } catch(FileNotFoundException e) {
            System.out.print("File Not Found");
      }
      for (int j = 0; j < temp.length ; j++){
        temp[j] = readLine();
      }
      functRec = new FunctionsRecord();
      functRec.setFunctsNames(temp);
      try
      {
      fileName.close();
      } catch (IOException e){
        System.out.print("Can not close the file");
      }
    return functRec;
  }
  private int getNumberFunctions(){
    int temp = 0;
    String tempString;
    tempString = readLine();
    while (tempString.compareTo("") != 0){
      temp++;
      tempString = readLine();
    }
    try
    {
      fileName.close();
    } catch (IOException e){
      System.out.print("Can not close the file");
    }
    return temp;
  }
  private  String readLine(){
    int c;
    int cr = 13;
    String bufferLine = new String();
    try{
        c = fileName.read();
        while (c!=cr && c!=-1) {
          bufferLine += (char)(c);
          c = fileName.read();
        }
        fileName.skip(1);
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }catch(ArrayIndexOutOfBoundsException e1){
      System.out.print("Array Index Out Of Bounds Exception: " + e1.getMessage());
    }
    return bufferLine;
  }

}