package stockMarketApplet.market.io;

import java.io.*;

public class InputNoisyTradersParameters {

  private FileInputStream fileName;
  private NoisyTraderParametersRecord noisyParamRec;

  public InputNoisyTradersParameters() {
  }

  public NoisyTraderParametersRecord readParameters(){
    try{
          fileName = new FileInputStream("parameters/NoisyTraders.txt");
    } catch(FileNotFoundException e) {
          System.out.print("File Not Found");
    }
    noisyParamRec = new NoisyTraderParametersRecord();
    noisyParamRec.setCash((new Double(readLine())).doubleValue());
    noisyParamRec.setNumberShares((new Double(readLine())).doubleValue());
    noisyParamRec.setProbabilityBuy((new Double(readLine())).doubleValue());
    noisyParamRec.setProbabilitySell((new Double(readLine())).doubleValue());
    noisyParamRec.setProbabilityHold((new Double(readLine())).doubleValue());
    return noisyParamRec;
  }

  private  String readLine(){
    int c;
    int cr = 13;
    String bufferLine = new String();
    try{
        c = fileName.read();
        while (c!=cr && c!=-1) {
          bufferLine += (char)(c);
          c = fileName.read();
        }
        fileName.skip(1);
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }catch(ArrayIndexOutOfBoundsException e1){
      System.out.print("Array Index Out Of Bounds Exception: " + e1.getMessage());
    }
    return bufferLine;
  }

}