package stockMarketApplet.market.io;

import java.io.*;

public class InputTradersParameters {
  private  FileInputStream fileName;
  private  TradersParametersRecord tradersParamRec;

  public TradersParametersRecord readParameters(){
    tradersParamRec = new TradersParametersRecord();
    String fileNameString = "parameters/Traders.txt";
      try{
            fileName = new FileInputStream(fileNameString);
      } catch(FileNotFoundException e) {
            System.out.print("File Not Found");
      }
      tradersParamRec = new TradersParametersRecord();
      tradersParamRec.setNumGroupsTechnicalTraders ((new Integer(readLine())).intValue());
      tradersParamRec.setNumFundamentalTraders ( (new Integer(readLine())).intValue() );
      tradersParamRec.setNumNoisyTraders ((new Integer(readLine())).intValue());
      try
      {
      fileName.close();
      } catch (IOException e){
        System.out.print("Can not close the file");
      }
    return tradersParamRec;
  }
  private  String readLine(){
    int c;
    int cr = 13;
    String bufferLine = new String();
    try{
        c = fileName.read();
        while (c!=cr && c!=-1) {
          bufferLine += (char)(c);
          c = fileName.read();
        }
        fileName.skip(1);
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }catch(ArrayIndexOutOfBoundsException e1){
      System.out.print("Array Index Out Of Bounds Exception: " + e1.getMessage());
    }
    return bufferLine;
  }

}