package stockMarketApplet.market.io;

import java.io.*;

public class OutputGroupParameters {
  private  FileOutputStream fileName;

  public void saveParameters(GroupParametersRecord groupParamRec, int groupNumber){
    String fileNameString = "parameters/GroupParameters"+groupNumber+".txt";
    StringBuffer sb=new StringBuffer();
    try{
      fileName = new FileOutputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }
    try{
      sb.append(groupParamRec.getNumTraders());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getDays());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getRate());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getCash());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getNumberShares());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getMemoryLenght());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getRetrainningCondition());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getFixedRetrainningPeriodicity());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getFitnessFunctionType());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getLimitOrderSellGeneration());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getLimitOrderBuyGeneration());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getFundamentalBehaviour());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getTmin());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getTmax());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getTauMin());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getTauMax());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(groupParamRec.getA());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }
    try
    {
      fileName.close();
    } catch (IOException e){
      System.out.print("Can not close the file");
    }
  }

}