package stockMarketApplet.market.io;

public class TradingRecord {
  private int epoch;
  private double bids;
  private double offers;
  private double price;
  private double fundamentalValue;
  private double totalWealth;
  private double averageWealth;
  private double totalCash;
  private double totalShares;
  private int numRetrainTraders;
  private int numSellers;
  private int numBuyers;
  private int numHolders;

  public TradingRecord() {
    epoch=0;
    bids=0;
    offers=0;
    price=0;
    totalWealth=0;
    averageWealth=0;
  }
  public void setEpoch(int epoch){
    this.epoch = epoch;
  }
  public void setOffers(double offers){
    this.offers = offers;
  }
  public void setBids(double bids){
    this.bids = bids;
  }
  public void setPrice(double price){
    this.price = price;
  }
  public void setFundamentalValue(double fundamentalValue){
    this.fundamentalValue = fundamentalValue;
  }
  public void setTotalWealth(double totalWealth){
    this.totalWealth = totalWealth;
  }
  public void setAverageWealth(double averageWealth){
    this.averageWealth = averageWealth;
  }
  public void setTotalCash(double totalCash){
    this.totalCash = totalCash;
  }
  public void setTotalShares(double totalShares){
    this.totalShares = totalShares;
  }
  public void setnumRetrainTraders(int retrainTraders){
    this.numRetrainTraders = retrainTraders;
  }
  public void setNumSellers(int numberSellers){
    this.numSellers = numberSellers;
  }
  public void setNumBuyers(int numberBuyers){
    this.numBuyers = numberBuyers;
  }
  public void setNumHolders(int numberHolders){
    this.numHolders = numberHolders;
  }
  public int getEpoch(){
    return this.epoch;
  }
  public double getOffers(){
    return this.offers;
  }
  public double getBids(){
    return this.bids;
  }
  public double getPrice(){
    return this.price;
  }
  public double getFundamentalValue(){
    return this.fundamentalValue;
  }
  public double getTotalWealth(){
    return this.totalWealth;
  }
  public double getAverageWealth(){
    return this.averageWealth;
  }
  public double getTotalCash(){
    return this.totalCash;
  }
  public double getTotalShares(){
    return this.totalShares;
  }
  public int getnumRetrainTraders(){
    return this.numRetrainTraders;
  }
  public int getNumSellers(){
    return this.numSellers;
  }
  public int getNumBuyers(){
    return this.numBuyers;
  }
  public int getNumHolders(){
    return this.numHolders;
  }

}