package stockMarketApplet.market.io;

import java.io.*;

public class InputIndicators {

  private  FileInputStream fileName;
  private  IndicatorsRecord[] indicatorsRec;
  private  IndicatorsRecord indicatorRec;

  public InputIndicators() {
  }
  public IndicatorsRecord[] readGroupsIndicators(int numberGroupsTraders){
    indicatorsRec = new IndicatorsRecord[numberGroupsTraders];
    String fileNameStringCommon = "parameters/Indicators";
    String fileNameString;
    String[] temp;
    for (int i = 0; i  < numberGroupsTraders ;i++){
      fileNameString = fileNameStringCommon + i + ".txt";
      try{
            fileName = new FileInputStream(fileNameString);
      } catch(FileNotFoundException e) {
            System.out.print("File Not Found");
      }
      temp = new String[getNumberIndicators()];
      try{
            fileName = new FileInputStream(fileNameString);
      } catch(FileNotFoundException e) {
            System.out.print("File Not Found");
      }
      for (int j = 0; j < temp.length ; j++){
        temp[j] = readLine();
      }
      indicatorsRec[i] = new IndicatorsRecord();
      indicatorsRec[i].setIndicatorsNames(temp);
      try
      {
      fileName.close();
      } catch (IOException e){
        System.out.print("Can not close the file");
      }
    }
    return indicatorsRec;
  }
  public IndicatorsRecord readIndicators(int numberGroup){
    indicatorRec = new IndicatorsRecord();
    String fileNameString;
    fileNameString = "parameters/Indicators" + numberGroup + ".txt";
    String[] temp;
    try{
      fileName = new FileInputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }
    temp = new String[getNumberIndicators()];
    try{
      fileName = new FileInputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }
    for (int j = 0; j < temp.length ; j++){
      temp[j] = readLine();
    }
    indicatorRec = new IndicatorsRecord();
    indicatorRec.setIndicatorsNames(temp);
    try
    {
      fileName.close();
    } catch (IOException e){
      System.out.print("Can not close the file");
    }
    return indicatorRec;
  }
  private int getNumberIndicators(){
    int temp = 0;
    String tempString;
    tempString = readLine();
    while (tempString.compareTo("") != 0){
      temp++;
      tempString = readLine();
    }
    try
    {
      fileName.close();
    } catch (IOException e){
      System.out.print("Can not close the file");
    }
    return temp;
  }
  private  String readLine(){
    int c;
    int cr = 13;
    String bufferLine = new String();
    try{
        c = fileName.read();
        while (c!=cr && c!=-1) {
          bufferLine += (char)(c);
          c = fileName.read();
        }
        fileName.skip(1);
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }catch(ArrayIndexOutOfBoundsException e1){
      System.out.print("Array Index Out Of Bounds Exception: " + e1.getMessage());
    }
    return bufferLine;
  }

}