package stockMarketApplet.market.io;

import java.io.*;

public class OutputGPParameters {
  private  FileOutputStream fileName;

  public void saveParameters(GPParametersRecord gPParamRec, int groupNumber){
    String fileNameString = "parameters/GPParameters"+groupNumber+".txt";
    StringBuffer sb=new StringBuffer();
    try{
      fileName = new FileOutputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }
    try{
      sb.append(gPParamRec.getIniTreeDepth());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getMaxTreeDepth());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getPercentCopy());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getProbMutation());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
/*      sb=new StringBuffer();
      sb.append(gPParamRec.getProbCrossover());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());*/
      sb=new StringBuffer();
      sb.append(gPParamRec.getProbMaximization());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getMaxGenerations());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getPopulationSize());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getMinThreshold());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getRangeThreshold());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getMaximizationStep());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getSelectionMethod());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getTournamentSize());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getProbSelectBest());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getWRC());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getWRF());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getWRMC());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getCodeGrowthControlMethod());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(gPParamRec.getNTarpeian());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }
    try
    {
      fileName.close();
    } catch (IOException e){
      System.out.print("Can not close the file");
    }
  }

}